Bug 1008547 - Missing javadoc for org.hibernate and org.hibernate.validator
Missing javadoc for org.hibernate and org.hibernate.validator
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:58 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 10:58:46 EDT
Current javadoc is missing documentation for following jars and packages 
/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.5.Final-redhat-1.jar
170 missing:
   org.hibernate
   org.hibernate.type
   org.hibernate.type.descriptor
   org.hibernate.type.descriptor.sql
   org.hibernate.type.descriptor.java
   org.hibernate.param
   org.hibernate.property
   org.hibernate.lob
   org.hibernate.bytecode.internal.javassist
   org.hibernate.bytecode.spi
   org.hibernate.bytecode.buildtime.internal
   org.hibernate.bytecode.buildtime.spi
   org.hibernate.bytecode.instrumentation.internal
   org.hibernate.bytecode.instrumentation.internal.javassist
   org.hibernate.bytecode.instrumentation.spi
   org.hibernate.bytecode.enhance
   org.hibernate.bytecode.enhance.spi
   org.hibernate.id
   org.hibernate.id.factory
   org.hibernate.id.factory.internal
   org.hibernate.id.factory.spi
   org.hibernate.id.uuid
   org.hibernate.id.enhanced
   org.hibernate.id.insert
   org.hibernate.jdbc
   org.hibernate.event.internal
   org.hibernate.event.spi
   org.hibernate.event.service.internal
   org.hibernate.event.service.spi
   org.hibernate.hql.internal
   org.hibernate.hql.internal.antlr
   org.hibernate.hql.internal.classic
   org.hibernate.hql.internal.ast
   org.hibernate.hql.internal.ast.tree
   org.hibernate.hql.internal.ast.exec
   org.hibernate.hql.internal.ast.util
   org.hibernate.hql.spi
   org.hibernate.sql
   org.hibernate.sql.ordering.antlr
   org.hibernate.action.internal
   org.hibernate.action.spi
   org.hibernate.transaction
   org.hibernate.tuple
   org.hibernate.tuple.component
   org.hibernate.tuple.entity
   org.hibernate.context
   org.hibernate.context.internal
   org.hibernate.context.spi
   org.hibernate.dialect
   org.hibernate.dialect.function
   org.hibernate.dialect.resolver
   org.hibernate.dialect.lock
   org.hibernate.dialect.unique
   org.hibernate.dialect.pagination
   org.hibernate.integrator.internal
   org.hibernate.integrator.spi
   org.hibernate.secure.internal
   org.hibernate.metadata
   org.hibernate.internal
   org.hibernate.internal.jaxb
   org.hibernate.internal.jaxb.cfg
   org.hibernate.internal.jaxb.mapping.hbm
   org.hibernate.internal.jaxb.mapping.orm
   org.hibernate.internal.util
   org.hibernate.internal.util.collections
   org.hibernate.internal.util.io
   org.hibernate.internal.util.beans
   org.hibernate.internal.util.compare
   org.hibernate.internal.util.xml
   org.hibernate.internal.util.config
   org.hibernate.internal.util.jndi
   org.hibernate.metamodel
   org.hibernate.metamodel.binding
   org.hibernate.metamodel.domain
   org.hibernate.metamodel.spi
   org.hibernate.metamodel.source
   org.hibernate.metamodel.source.binder
   org.hibernate.metamodel.source.internal
   org.hibernate.metamodel.source.annotations
   org.hibernate.metamodel.source.annotations.global
   org.hibernate.metamodel.source.annotations.attribute
   org.hibernate.metamodel.source.annotations.attribute.type
   org.hibernate.metamodel.source.annotations.xml
   org.hibernate.metamodel.source.annotations.xml.filter
   org.hibernate.metamodel.source.annotations.xml.mocker
   org.hibernate.metamodel.source.annotations.entity
   org.hibernate.metamodel.source.hbm
   org.hibernate.metamodel.relational
   org.hibernate.metamodel.relational.state
   org.hibernate.service
   org.hibernate.service.jta.platform.internal
   org.hibernate.service.jta.platform.spi
   org.hibernate.service.jdbc.connections.internal
   org.hibernate.service.jdbc.connections.spi
   org.hibernate.service.jdbc.dialect.internal
   org.hibernate.service.jdbc.dialect.spi
   org.hibernate.service.internal
   org.hibernate.service.spi
   org.hibernate.service.config.internal
   org.hibernate.service.config.spi
   org.hibernate.service.jndi
   org.hibernate.service.jndi.internal
   org.hibernate.service.jndi.spi
   org.hibernate.service.classloading.internal
   org.hibernate.service.classloading.spi
   org.hibernate.service.jmx.internal
   org.hibernate.service.jmx.spi
   org.hibernate.exception
   org.hibernate.exception.internal
   org.hibernate.exception.spi
   org.hibernate.annotations
   org.hibernate.classic
   org.hibernate.cfg
   org.hibernate.cfg.annotations
   org.hibernate.cfg.annotations.reflection
   org.hibernate.cfg.beanvalidation
   org.hibernate.collection.internal
   org.hibernate.collection.spi
   org.hibernate.tool.instrument
   org.hibernate.tool.instrument.javassist
   org.hibernate.tool.hbm2ddl
   org.hibernate.tool.enhance
   org.hibernate.mapping
   org.hibernate.proxy
   org.hibernate.proxy.pojo
   org.hibernate.proxy.pojo.javassist
   org.hibernate.proxy.dom4j
   org.hibernate.proxy.map
   org.hibernate.pretty
   org.hibernate.criterion
   org.hibernate.engine
   org.hibernate.engine.jdbc
   org.hibernate.engine.jdbc.batch.internal
   org.hibernate.engine.jdbc.batch.spi
   org.hibernate.engine.jdbc.internal
   org.hibernate.engine.jdbc.spi
   org.hibernate.engine.transaction.internal
   org.hibernate.engine.transaction.internal.jta
   org.hibernate.engine.transaction.internal.jdbc
   org.hibernate.engine.transaction.spi
   org.hibernate.engine.transaction.synchronization.internal
   org.hibernate.engine.transaction.synchronization.spi
   org.hibernate.engine.internal
   org.hibernate.engine.spi
   org.hibernate.engine.loading.internal
   org.hibernate.engine.profile
   org.hibernate.engine.query.spi
   org.hibernate.engine.query.spi.sql
   org.hibernate.cache
   org.hibernate.cache.internal
   org.hibernate.cache.spi
   org.hibernate.cache.spi.entry
   org.hibernate.cache.spi.access
   org.hibernate.loader
   org.hibernate.loader.custom
   org.hibernate.loader.custom.sql
   org.hibernate.loader.hql
   org.hibernate.loader.criteria
   org.hibernate.loader.collection
   org.hibernate.loader.entity
   org.hibernate.stat
   org.hibernate.stat.internal
   org.hibernate.stat.spi
   org.hibernate.transform
   org.hibernate.persister.internal
   org.hibernate.persister.spi
   org.hibernate.persister.collection
   org.hibernate.persister.entity
   org.hibernate.usertype
   org.hibernate.jmx

/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/hibernate/validator/main/hibernate-validator-4.3.1.Final-redhat-1.jar
31 missing:
   org.hibernate.validator
   org.hibernate.validator.constraints
   org.hibernate.validator.constraints.br
   org.hibernate.validator.group
   org.hibernate.validator.cfg
   org.hibernate.validator.cfg.context
   org.hibernate.validator.cfg.defs
   org.hibernate.validator.messageinterpolation
   org.hibernate.validator.spi.group
   org.hibernate.validator.spi.resourceloading
   org.hibernate.validator.internal.cfg.context
   org.hibernate.validator.internal.metadata.location
   org.hibernate.validator.internal.metadata
   org.hibernate.validator.internal.metadata.raw
   org.hibernate.validator.internal.metadata.provider
   org.hibernate.validator.internal.metadata.descriptor
   org.hibernate.validator.internal.metadata.core
   org.hibernate.validator.internal.metadata.aggregated
   org.hibernate.validator.internal.util
   org.hibernate.validator.internal.util.logging
   org.hibernate.validator.internal.util.privilegedactions
   org.hibernate.validator.internal.util.annotationfactory
   org.hibernate.validator.internal.util.scriptengine
   org.hibernate.validator.internal.engine
   org.hibernate.validator.internal.engine.groups
   org.hibernate.validator.internal.engine.resolver
   org.hibernate.validator.internal.xml
   org.hibernate.validator.internal.constraintvalidators
   org.hibernate.validator.method
   org.hibernate.validator.method.metadata
   org.hibernate.validator.resourceloading
Comment 1 Misty Stanley-Jones 2013-10-09 23:17:01 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:23:19 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 08:11:53 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.